import { _decorator, Component, Node } from 'cc';
import JNLayerBase from '../../../../extensions/ngame/assets/ngame/ui/base/JNLayerBase';
import JNScrollView from '../../../../extensions/ngame/assets/ngame/util/components/scrollview/JNScrollView';
import PetEquipData from '../../data/PetEquipData';
const { ccclass, property } = _decorator;

@ccclass('PetEquipView')
export class PetEquipView extends JNLayerBase {

    //装备列表
    @property(JNScrollView)
    list:JNScrollView

    onJNLoad(data?: any): void {
        super.onJNLoad(data);
    }

    onJNLoadAnimEnd(): void {
        console.log("onJNLoadAnimEnd");
        super.onJNLoadAnimEnd();
        this.onUpdateView();
    }

    onUpdateView(){

        this.list.refreshData(PetEquipData.getIns().equips);

    }

}


